LOCAL_PATH:= $(call my-dir)

include $(CLEAR_VARS)


## Common for All
LOCAL_SRC_FILES := \
		com/sony/huey/dlna/Log.java \
		com/sony/huey/dlna/ProtocolInfo.java \
		com/sony/huey/dlna/DlnaCdsStore.java \
		com/sony/huey/dlna/util/DomUtil.java \
		com/sony/huey/dlna/util/ResUtil.java \
		com/sony/huey/dlna/util/ResAttrs.java \
		com/sony/huey/dlna/config/HueyConfig.java


## DMP
ifeq ($(CONFIG_DMP), 1)
LOCAL_SRC_FILES += \
		com/sony/huey/dlna/DlnaJni.java \
		com/sony/huey/dlna/DlnaDmcJni.java \
		com/sony/huey/dlna/DlnaApi.java \
		com/sony/huey/dlna/DeviceListCallback.java \
	    com/sony/huey/dlna/IUpnpServiceCp.aidl \
		com/sony/huey/dlna/UpnpServiceCp.java \
		com/sony/huey/dlna/HueyMediaColumns.java \
		com/sony/huey/dlna/StateVariables.java \
		com/sony/huey/dlna/StateVar.java \
		com/sony/huey/dlna/DmsProvider.java \
		com/sony/huey/dlna/DmsCursor.java \
		com/sony/huey/dlna/DeviceMetadata.java \
		com/sony/huey/dlna/IconList.java \
		com/sony/huey/dlna/DmrDeviceCapabilities.java \
		com/sony/huey/dlna/DlnaCds.java \
		com/sony/huey/dlna/CdsCursor.java \
		com/sony/huey/dlna/DbAccessCallback.java \
		com/sony/huey/dlna/BrowseResult.java \
		com/sony/huey/dlna/HueyMutexObject.java \
		com/sony/huey/dlna/MediaInfo.java \
		com/sony/huey/dlna/TransportInfo.java \
		com/sony/huey/dlna/PositionInfo.java \
		com/sony/huey/dlna/TransportSettings.java \
		com/sony/huey/dlna/PresetNameList.java \
	    com/sony/huey/dlna/IHueyGenaEventListener.aidl \
		com/sony/huey/dlna/HueyGenaEvent.java \
		com/sony/huey/dlna/HueyGenaObserver.java \
		com/sony/huey/dlna/HueyUriUtil.java
endif


## DMC
ifeq ($(CONFIG_DMC), 1)
LOCAL_SRC_FILES += \
		com/sony/huey/dlna/DlnaDmcPlayer.java \
		com/sony/huey/dlna/DlnaDmcAvt.java \
		com/sony/huey/dlna/DlnaDmcRc.java

ifeq ($(CONFIG_DMC_ENABLE_PARTY), 1)
LOCAL_SRC_FILES += \
		com/sony/huey/dlna/DlnaDmcParty.java
endif

ifeq ($(CONFIG_DMC_ENABLE_REMOTE_OPERATION), 1)
LOCAL_SRC_FILES += \
		com/sony/huey/dlna/DlnaDmcCdsRop.java \
		com/sony/huey/dlna/DlnaDmcAvtRop.java
endif

endif # CONFIG_DMC


## Common for UPnP Device
LOCAL_SRC_FILES += \
		com/sony/huey/dlna/HueyDLL.java \
		com/sony/huey/dlna/ClientInfo.java \
		com/sony/huey/dlna/HueyNacAccessCheckInfo.java \
		com/sony/huey/dlna/HueyNacAccessNotifyInfo.java


## DMS
ifeq ($(CONFIG_DMS), 1)
LOCAL_SRC_FILES += \
		com/sony/huey/dlna/DlnaDmsJni.java \
		com/sony/huey/dlna/DlnaDmsApi.java \
	    com/sony/huey/dlna/IDlnaDmsService.aidl \
		com/sony/huey/dlna/DlnaDmsService.java \
		com/sony/huey/dlna/DmsStatusCallback.java \
		com/sony/huey/dlna/DmsAccessCheckCallback.java \
		com/sony/huey/dlna/HueyContentObserver.java \
		com/sony/huey/dlna/HueySearchMediator.java \
		com/sony/huey/dlna/HueyCdsSearchResult.java \
		com/sony/huey/dlna/HueyAbstractHandler.java \
		com/sony/huey/dlna/HueyMediaHandler.java \
		com/sony/huey/dlna/HueyMusicHandler.java \
		com/sony/huey/dlna/HueyVideoHandler.java \
		com/sony/huey/dlna/HueyPhotoHandler.java \
		com/sony/huey/dlna/HueyMusicObject.java \
		com/sony/huey/dlna/HueyVideoObject.java \
		com/sony/huey/dlna/HueyPhotoObject.java \
		com/sony/huey/dlna/HueyMusicBrowseResult.java \
		com/sony/huey/dlna/HueyVideoBrowseResult.java \
		com/sony/huey/dlna/HueyPhotoBrowseResult.java \
		com/sony/huey/dlna/HueyMediaUri.java \
		com/sony/huey/dlna/SearchCriteriaParser.java \
		com/sony/huey/dlna/SortCriteriaParser.java \
		com/sony/huey/dlna/HueyQueryParam.java \
		com/sony/huey/dlna/HueyDBQuery.java \
		com/sony/huey/dlna/HueyCdsIndex.java \
		com/sony/huey/dlna/DlnaCdsStore.java \
		com/sony/huey/dlna/CdsInfo.java 
endif


## DMR
ifeq ($(CONFIG_DMR), 1)
LOCAL_SRC_FILES += \
		com/sony/huey/dlna/DlnaDmrJni.java \
		com/sony/huey/dlna/DlnaDmrApi.java \
	    com/sony/huey/dlna/IDlnaDmrService.aidl \
		com/sony/huey/dlna/DlnaDmrService.java \
		com/sony/huey/dlna/DmrStatusCallback.java \
		com/sony/huey/dlna/DmrAccessCheckCallback.java \
		com/sony/huey/dlna/HueyRendererHandler.java \
	    com/sony/huey/dlna/dmr/player/DmrController.java \
	    com/sony/huey/dlna/dmr/player/DmrPlayer.java \
	    com/sony/huey/dlna/dmr/player/DmrPlayerService.java \
	    com/sony/huey/dlna/dmr/player/DmrReceiver.java \
	    com/sony/huey/dlna/dmr/player/IDmrPlayer.aidl \
	    com/sony/huey/dlna/dmr/player/IDmrPlayerCallback.aidl \
		com/sony/huey/dlna/StateVar.java \
		com/sony/huey/dlna/TransportInfo.java 

endif


## IRCC
ifeq ($(CONFIG_IRCCIP_DEVICE), 1)
LOCAL_SRC_FILES += \
		com/sony/huey/dlna/IrccipJni.java \
		com/sony/huey/dlna/IrccipApi.java \
	    com/sony/huey/dlna/IIrccipService.aidl \
		com/sony/huey/dlna/IrccipService.java \
		com/sony/huey/dlna/IrccipStatusCallback.java \
		com/sony/huey/dlna/IrccipAccessCheckCallback.java
endif


LOCAL_MODULE := huey
LOCAL_MODULE_CLASS := JAVA_LIBRARIES
#LOCAL_UNINSTALLABLE_MODULE := true

include $(BUILD_STATIC_JAVA_LIBRARY)
